#!/usr/bin/env fish

begin
  set -lx __NV_PRIME_RENDER_OFFLOAD=1
  set -lx __NV_PRIME_RENDER_OFFLOAD_PROVIDER=NVIDIA-G0
  set -lx __GLX_VENDOR_LIBRARY_NAME=nvidia
  set -lx __VK_LAYER_NV_optimus=NVIDIA_only
  exec $argv
end
